Subject: follow-up on ispell-personal-dictionary issue for hunspell

From: O G <[email-masked]>
Date: Sun, 2 Jul 2023 15:19:13 -0400

> Okay, the double backslash works with emacs -Q on my system as well.

> Back in my customizations, it looks like I had not rechecked by setting
the
> ispell-personal-dictionary variable
> ... was still using the ispell-cmd-args approach unfortunately.  So it
looks
> like the latter is the issue, because
> everything works now per your suggested settings.

> I had originally tried using ispell-personal-dictionary before turning to
> ispell-cmd-args and now believe that I
> may have failed to touch the .hunspell_en_US file first (a known quirk)
while
> I was testing the double
> backslashes among other ways of specifying the file path.

> So it's safe to close the bug now.

I have more information now regarding this issue, which as it turns out was
not related to my testing the ispell-cmd-args approach or because
I had failed to touch the .hunspell_en_US file per the known quirk on
windows.

In my init.el file, after the lines:

(setq ispell-local-dictionary "en_US")
(setq ispell-personal-dictionary "C:\\Users\\...\\test-personal-dictionary")
; the personal dictionary file has to exist, otherwise hunspell will
; silently fail to use it
(unless (file-exists-p ispell-personal-dictionary)
  (write-region "" nil ispell-personal-dictionary nil 0))

I had the following line:

(use-package flyspell
  :ensure t)

When I removed this line, flyspell started to recognize the
custom ispell-personal-dictionary that I had specified.

Since flyspell is now built into emacs, I'm a little unclear on
why reloading the package without changing any other options
would block an underlying ispell setting.

This also explains why everything worked just fine when I tested
setting a custom location for the personal dictionary using emacs -Q.